All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
IQA
Statistical Operations

Primitives for computing the image quality between two images, such as MSE, PSNR, SSIM, and MS-SSIM. More...

## MSE

NppStatus | nppiMSE_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pMSE, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image MSE. More...
NppStatus | nppiMSE_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pMSE, Npp8u *pDeviceBuffer)
NppStatus | nppiPSNR_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pPSNR, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image PSNR. More...
NppStatus | nppiPSNR_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pPSNR, Npp8u *pDeviceBuffer)
NppStatus | nppiSSIM_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pSSIM, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image SSIM. More...
NppStatus | nppiSSIM_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pSSIM, Npp8u *pDeviceBuffer)
NppStatus | nppiMSSSIM_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pMSSSIM, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image MS-SSIM*. More...
NppStatus | nppiMSSSIM_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, NppiSize oSizeROI, Npp32f *pMSSSIM, Npp8u *pDeviceBuffer)
NppStatus | nppiMSEGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMSE_8u_C1R. More...
NppStatus | nppiMSEGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiPSNRGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiPSNR_8u_C1R. More...
NppStatus | nppiPSNRGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiSSIMGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiSSIM_8u_C1R. More...
NppStatus | nppiSSIMGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMSSSIMGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMSSSIM_8u_C1R. More...
NppStatus | nppiMSSSIMGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the image quality between two images, such as MSE, PSNR, SSIM, and MS-SSIM.

## Function Documentation

NppStatus nppiMSE_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMSE,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMSE_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMSE,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image MSE.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMSE | Pointer to the computed MSE of two images.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

NppStatus nppiMSEGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMSEGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMSE_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMSSSIM_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMSSSIM,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMSSSIM_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMSSSIM,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image MS-SSIM*.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMSSSIM | Pointer to the computed MS-SSIM of two images.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

NppStatus nppiMSSSIMGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMSSSIMGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMSSSIM_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiPSNR_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pPSNR,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiPSNR_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pPSNR,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image PSNR.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pPSNR | Pointer to the computed PSNR of two images.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

NppStatus nppiPSNRGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiPSNRGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiPSNR_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiSSIM_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pSSIM,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiSSIM_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pSSIM,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image SSIM.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pSSIM | Pointer to the computed SSIM of two images.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

NppStatus nppiSSIMGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiSSIMGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiSSIM_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2019 NVIDIA Corporation